Bug 25439 - [Omnibus] Prepare Koha to ElasticSearch 7 - ES7
Summary: [Omnibus] Prepare Koha to ElasticSearch 7 - ES7
Status: NEW
Alias: None
Product: Koha
Classification: Unclassified
Component: Searching - Elasticsearch (show other bugs)
Version: master
Hardware: All All
: P5 - low critical (vote)
Assignee: Bugs List
QA Contact:
URL:
Keywords:
Depends on: 25669 28610 22520 25668 25684 27043 27770 27771
Blocks:
  Show dependency treegraph
 
Reported: 2020-05-10 10:01 UTC by Victor Grousset/tuxayo
Modified: 2022-04-12 08:24 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Victor Grousset/tuxayo 2020-05-10 10:01:04 UTC
ES6 will be end of life when the version 8 will come out[1]. there is no alpha of version 8 so we have at least half a year[2] before that happens.

[1] https://www.elastic.co/support/eol
[2] https://discuss.elastic.co/t/elasticsearch-8-release-date/202759/2
Comment 1 Fridolin Somers 2020-11-10 13:45:12 UTC
Elasticsearch 6 is going to end of support at the end of this year :
https://www.elastic.co/fr/support/eol

So we should work on compatibility with 7 (before it is also EOL ^^)
Comment 2 Victor Grousset/tuxayo 2020-11-11 13:12:10 UTC
Already? :o Is it because it's written 6.8.x EOL date 2020-11-20 Maintained until 8.0.0 ?

There are no signs of ES 8 alpha https://github.com/elastic/elasticsearch/tags
Comment 3 Fridolin Somers 2020-11-12 10:43:39 UTC
(In reply to Victor Grousset/tuxayo from comment #2)
> Already? :o Is it because it's written 6.8.x EOL date 2020-11-20 Maintained
> until 8.0.0 ?
> 
Yep
Comment 4 Victor Grousset/tuxayo 2021-08-28 00:57:45 UTC
ES8 is coming. So is ES6 actual EOL.

Is turns out the EOL ES page is wrong. As 6.8.x still gets updates.
But the 1st ES8 alpha has been published [2]. So we should expect ES6 to EOL in around 6 months [3].

https://github.com/elastic/elasticsearch/tags
https://discuss.elastic.co/t/elasticsearch-8-release-date/202759/2
Comment 5 Fridolin Somers 2021-12-13 20:56:18 UTC
FYI here is the upgrade doc :
https://www.elastic.co/guide/en/elasticsearch/reference/current/setup-upgrade.html
Comment 6 Fridolin Somers 2021-12-13 20:58:49 UTC
Actually https://www.elastic.co/fr/support/eol says :
6.8.x EOL on 2022-02-08

If you are in 6 < 6.8, first upgrade to 6.8.
Comment 7 Victor Grousset/tuxayo 2021-12-22 23:32:58 UTC
> Actually https://www.elastic.co/fr/support/eol says :
> 6.8.x EOL on 2022-02-08

great, they recently fixed the page :D
Before it basically said that 6.8.x was EOL.
Comment 8 Victor Grousset/tuxayo 2022-02-18 13:14:49 UTC
ES 8 is out since a week. So Koha only works with the EOLed ES 6 ^^"

The very good news is that there have been multiple patches submitted to tickets. So check them out. Now with bug 25684 we can test Koha with ES 7 and see how it actually works.
Comment 9 Victor Grousset/tuxayo 2022-02-18 20:20:10 UTC
With Bug 25669, Bug 25684, Bug 27770 and Bug 28610 applied the tests pass[1] on ES7 and searching works and cataloguing indexes correctly a new or modified title. So that would be it? :D

Anything else to test? Or these bugs reaching master and being backported will be enough to claim ES7 support?


[1] minus some local failures I also have on master without any patch
Comment 10 Fridolin Somers 2022-02-18 21:09:41 UTC
Bug 22520 is not a mandatory dependency ?
Comment 11 Victor Grousset/tuxayo 2022-02-18 22:14:48 UTC
Right, I don't understand what is it about. But it looks like something not covered by tests and basic workflow. I'll ask there.
Comment 12 Victor Grousset/tuxayo 2022-03-19 03:21:05 UTC
Switched to critical (and the dependencies not yet backported) to be sure it's not skipped for backports. Because it's really bad to not have a supported ES implementation anymore. If something like the recent log4j critical security vulnerabilities happens again, ES7 will be the only fix.